Index: asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/__syscall_cp.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/__syscall_cp.c	(revision 352)
+++ asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/__syscall_cp.c	(revision 400)
@@ -2,5 +2,4 @@
 #include "syscall.h"
 
-#undef sccp
 __attribute__((__visibility__("hidden")))
 long __syscall_cp_c();
@@ -13,14 +12,5 @@
 }
 
-#ifndef __c2__
 weak_alias(sccp, __syscall_cp_c);
-#else
-long __syscall_cp_c(syscall_arg_t nr,
-	syscall_arg_t u, syscall_arg_t v, syscall_arg_t w,
-	syscall_arg_t x, syscall_arg_t y, syscall_arg_t z)
-{
-	return sccp(nr, u, v, w, x, y, z);
-}
-#endif
 
 long (__syscall_cp)(syscall_arg_t nr,
Index: asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/__tls_get_addr.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/__tls_get_addr.c	(revision 352)
+++ asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/__tls_get_addr.c	(revision 400)
@@ -14,5 +14,3 @@
 }
 
-#ifndef __c2__
 weak_alias(__tls_get_addr, __tls_get_new);
-#endif
Index: asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_cleanup_push.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_cleanup_push.c	(revision 352)
+++ asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_cleanup_push.c	(revision 400)
@@ -1,5 +1,4 @@
 #include "pthread_impl.h"
 
-#ifndef __c2__
 static void dummy(struct __ptcb *cb)
 {
@@ -7,8 +6,4 @@
 weak_alias(dummy, __do_cleanup_push);
 weak_alias(dummy, __do_cleanup_pop);
-#else
-extern void __do_cleanup_push(struct __ptcb *cb);
-extern void __do_cleanup_pop(struct __ptcb *cb);
-#endif
 
 void _pthread_cleanup_push(struct __ptcb *cb, void (*f)(void *), void *x)
Index: asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_cond_timedwait.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_cond_timedwait.c	(revision 352)
+++ asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_cond_timedwait.c	(revision 400)
@@ -212,10 +212,3 @@
 }
 
-#ifndef __c2__
 weak_alias(__pthread_cond_timedwait, pthread_cond_timedwait);
-#else
-int pthread_cond_timedwait(pthread_cond_t *restrict c, pthread_mutex_t *restrict m, const struct timespec *restrict ts)
-{
-	return __pthread_cond_timedwait(c, m, ts);
-}
-#endif
Index: asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_create.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_create.c	(revision 352)
+++ asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_create.c	(revision 400)
@@ -14,11 +14,6 @@
 {
 }
-#ifndef __c2__
 weak_alias(dummy_0, __acquire_ptc);
 weak_alias(dummy_0, __release_ptc);
-#else
-extern void __acquire_ptc();
-extern void __release_ptc();
-#endif
 weak_alias(dummy_0, __pthread_tsd_run_dtors);
 weak_alias(dummy_0, __do_orphaned_stdio_locks);
@@ -168,13 +163,8 @@
 
 /* pthread_key_create.c overrides this */
-#ifndef __c2__
 static volatile size_t dummy = 0;
 weak_alias(dummy, __pthread_tsd_size);
 static void *dummy_tsd[1] = { 0 };
 weak_alias(dummy_tsd, __pthread_tsd_main);
-#else
-extern volatile size_t __pthread_tsd_size;
-extern void *__pthread_tsd_main;
-#endif
 
 volatile int __block_new_threads = 0;
@@ -182,14 +172,8 @@
 size_t __default_guardsize = DEFAULT_GUARD_SIZE;
 
-#ifndef __c2__
 static FILE *volatile dummy_file = 0;
 weak_alias(dummy_file, __stdin_used);
 weak_alias(dummy_file, __stdout_used);
 weak_alias(dummy_file, __stderr_used);
-#else
-extern FILE *volatile __stdin_used;
-extern FILE *volatile __stdout_used;
-extern FILE *volatile __stderr_used;
-#endif
 
 static void init_file_lock(FILE *f)
@@ -329,16 +313,4 @@
 }
 
-#ifndef __c2__
 weak_alias(__pthread_exit, pthread_exit);
 weak_alias(__pthread_create, pthread_create);
-#else
-_Noreturn void pthread_exit(void *result)
-{
-	__pthread_exit(result);
-}
-
-int pthread_create(pthread_t *restrict res, const pthread_attr_t *restrict attrp, void *(*entry)(void *), void *restrict arg)
-{
-	return __pthread_create(res, attrp, entry, arg);
-}
-#endif
Index: asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_mutex_lock.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_mutex_lock.c	(revision 352)
+++ asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_mutex_lock.c	(revision 400)
@@ -12,10 +12,3 @@
 }
 
-#ifndef __c2__
 weak_alias(__pthread_mutex_lock, pthread_mutex_lock);
-#else
-int pthread_mutex_lock(pthread_mutex_t *m)
-{
-	return __pthread_mutex_lock(m);
-}
-#endif
Index: asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_mutex_trylock.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_mutex_trylock.c	(revision 352)
+++ asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_mutex_trylock.c	(revision 400)
@@ -56,10 +56,3 @@
 }
 
-#ifndef __c2__
 weak_alias(__pthread_mutex_trylock, pthread_mutex_trylock);
-#else
-int pthread_mutex_trylock(pthread_mutex_t *m)
-{
-	return __pthread_mutex_trylock(m);
-}
-#endif
Index: asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_mutex_unlock.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_mutex_unlock.c	(revision 352)
+++ asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_mutex_unlock.c	(revision 400)
@@ -35,10 +35,3 @@
 }
 
-#ifndef __c2__
 weak_alias(__pthread_mutex_unlock, pthread_mutex_unlock);
-#else
-int pthread_mutex_unlock(pthread_mutex_t *m)
-{
-	return __pthread_mutex_unlock(m);
-}
-#endif
Index: asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_self.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_self.c	(revision 352)
+++ asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_self.c	(revision 400)
@@ -8,16 +8,4 @@
 }
 
-#ifndef __c2__
 weak_alias(__pthread_self_internal, pthread_self);
 weak_alias(__pthread_self_internal, thrd_current);
-#else
-pthread_t pthread_self()
-{
-	return __pthread_self_internal();
-}
-
-pthread_t thrd_current()
-{
-	return __pthread_self_internal();
-}
-#endif
Index: asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_setcancelstate.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_setcancelstate.c	(revision 352)
+++ asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_setcancelstate.c	(revision 400)
@@ -10,10 +10,3 @@
 }
 
-#ifndef __c2__
 weak_alias(__pthread_setcancelstate, pthread_setcancelstate);
-#else
-int pthread_setcancelstate(int new, int *old)
-{
-	return __pthread_setcancelstate(new, old);
-}
-#endif
Index: asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_testcancel.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_testcancel.c	(revision 352)
+++ asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/pthread_testcancel.c	(revision 400)
@@ -13,10 +13,3 @@
 }
 
-#ifndef __c2__
 weak_alias(__pthread_testcancel, pthread_testcancel);
-#else
-void pthread_testcancel()
-{
-	__pthread_testcancel();
-}
-#endif
Index: asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/synccall.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/synccall.c	(revision 352)
+++ asp3_tinet_ecnl_arm/trunk/musl-1.1.18/src/thread/synccall.c	(revision 400)
@@ -18,10 +18,6 @@
 static volatile int target_tid;
 static void (*callback)(void *), *context;
-#ifndef __c2__
 static volatile int dummy = 0;
 weak_alias(dummy, __block_new_threads);
-#else
-extern volatile int __block_new_threads;
-#endif
 
 static void handler(int sig)
